SQLWarningException (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.jdbc

## Class SQLWarningException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.dao.DataAccessException
          - - org.springframework.dao.NonTransientDataAccessException
            - - org.springframework.dao.UncategorizedDataAccessException
              - - org.springframework.jdbc.SQLWarningException

- All Implemented Interfaces:
    Serializable

      public class SQLWarningException
      extends UncategorizedDataAccessException

  Exception thrown when we're not ignoring `SQLWarnings`.

  If a SQLWarning is reported, the operation completed, so we will need to explicitly roll it back if we're not happy when looking at the warning. We might choose to ignore (and log) the warning, or to wrap and throw it in the shape of this SQLWarningException instead.

  Author:
    Rod Johnson, Juergen Hoeller
  See Also:
    `JdbcTemplate.setIgnoreWarnings(boolean)`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SQLWarningException(String msg, SQLWarning ex)` Constructor for SQLWarningException.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SQLWarning` | `SQLWarning()` Return the underlying SQLWarning.

    - ### Methods inherited from class org.springframework.core.NestedRuntimeException

      `contains, getMessage, getMostSpecificCause, getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SQLWarningException

          public SQLWarningException(String msg,
                             SQLWarning ex)

      Constructor for SQLWarningException.
      Parameters:
        `msg` - the detail message
        `ex` - the JDBC warning

  - ### Method Detail

    - #### SQLWarning

          public SQLWarning SQLWarning()

      Return the underlying SQLWarning.